Subject: Re: [PATCH v2 4/4] doc: git-add: explain inconsistent terminology

From: "Julia Evans" <[email-masked]>
Date: Tue, 19 Aug 2025 16:09:08 -0400

> Here is my attempt to improve the situation by giving a definition
> of "staging area" in the glossary.  Luckily, "cache" already has its
> own entry, describing it as an old synonym to the 'index', so I
> didn't have to do anything there.  Also the description of 'index'
> has a bit too much implementation detail, which I toned down.

I love the idea of improving the glossary, but I'm concerned that
glossary isn't very discoverable -- I didn't even know Git had
a glossary until relatively recently.

I think we can be much more brief about resolving this confusion though --
from the user feedback, all users seem to want to know is whether "index" and
"staging area" mean the same thing, and that we can clear that up in just a few
words -- 'index (also known as "staging area")'.